Subject: RE: [DNA] Definition of "Link Up" and "Link Down" events?

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 02 Jun 2005 09:51:31 +0300

I would like to draw again the attention of the group that IMO the use
of 'IP packets' to define low link layer link Up / link Down events may
not be appropriate. The 'capability of communicating IP packets'  cannot
be detected in some cases by lower link layers state machines . 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> James Kempf
> Sent: Thursday, June 02, 2005 6:21 AM
> To: NJEDJOU Eric RD-RESA-REN; Bernard Aboba; [email-masked]
> Subject: Re: [DNA] Definition of "Link Up" and "Link Down" events?
> 
> Eric,
> 
> 
> I have a little problem with the most recent defintion 
> (Bernard's) of Link-Down suggested. The statement "A Link 
> Down event is only generated once the link layer considers 
> the link unusable" looks (to me at least) a bit contradictory 
> to the first sentence of the definition in the sense that the 
> link layer can consider the link unusable even without any 
> change having occured in the link state machine: PDP context 
> activated in GPRS/UMTS but very high BER Said differently, 
> the definition implies that the event cause can be "state 
> changed" in the link layer state machine as well "state did 
> not changed" (as the link can become unusable within the same 
> state) which is a problem.
> 
> Hope my concern is understood.
> 
> Insn't
> "An event provided by the link layer that signifies a state 
> change associated with the interface no longer being capable 
> of communicating IP packets. transient periods of high frame 
> loss are not sufficient." enough for Link down definition?
> 
> Please advice
> 
> jak>> I guess I don't understand the problem. The definition 
> leaves it 
> jak>> up to
> the link layer to decide what "unusable" means. Whether or 
> not that involves a state machine change or some other 
> consideration is pretty much up to the link layer to decide.
> 
>             jak
> 
> 
>

---

From: James Kempf <[email-masked]>
Date: Thu, 02 Jun 2005 00:01:56 -0700

Dan,

Then what would you suggest is the appropriate way to phrase this?

        jak

----- Original Message ----- 
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: "James Kempf" <[email-masked]>; "NJEDJOU Eric RD-RESA-REN"
<[email-masked]>; "Bernard Aboba" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, June 01, 2005 11:51 PM
Subject: RE: [DNA] Definition of "Link Up" and "Link Down" events?

Regards,

Dan

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 02 Jun 2005 08:18:05 -0700 (PDT)

> be detected in some cases by lower link layers state machines .

Right.  It really should be "communicating data frames".